org.apache.hive.jdbc

## Class HttpKerberosRequestInterceptor

- java.lang.Object
- - org.apache.hive.jdbc.HttpRequestInterceptorBase
  - - org.apache.hive.jdbc.HttpKerberosRequestInterceptor

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

    public class HttpKerberosRequestInterceptor
    extends HttpRequestInterceptorBase

Authentication interceptor which adds Base64 encoded payload, containing the username and kerberos service ticket, to the outgoing http request header.

### Constructor Summary

Constructors
Constructor and Description
`HttpKerberosRequestInterceptor(String principal, String host, String serverHttpUrl, boolean assumeSubject, org.apache.http.client.CookieStore cs, String cn, boolean isSSL, Map<String,String> additionalHeaders)`

### Method Summary

Methods
`protected void` `addHttpAuthHeader(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)`

### Methods inherited from class org.apache.hive.jdbc.HttpRequestInterceptorBase

`process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpKerberosRequestInterceptor

    public HttpKerberosRequestInterceptor(String principal,
                                  String host,
                                  String serverHttpUrl,
                                  boolean assumeSubject,
                                  org.apache.http.client.CookieStore cs,
                                  String cn,
                                  boolean isSSL,
                                  Map<String,String> additionalHeaders)

### Method Detail

#### addHttpAuthHeader

    protected void addHttpAuthHeader(org.apache.http.HttpRequest httpRequest,
                         org.apache.http.protocol.HttpContext httpContext)
                              throws Exception

Specified by:
  `addHttpAuthHeader` in class `HttpRequestInterceptorBase`
Throws:
  `Exception`